package com.ruoyi.system.domain.vo;

import com.ruoyi.system.domain.SysTrainingScore;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class TrainingTotalScoreVo implements Serializable {
    private Integer dataCollectionScore;
    private Integer textSegmentationScore;
    private Integer partofspeechTaggingScore;
    private Integer categoryManagementScore;
    private Integer textClassificationScore;
    private Integer textSummarizationScore;
    private Integer similarityCalculationScore;
    private Integer sentimentAnalysisScore;
    private Integer dataVisualizationScore;
    private Integer reportSubmissionScore;
    private Integer trainingOperationScore;
    private Integer trainingReportScore;
    private Double totalscore;

    public Integer getDataCollectionScore() {
        return dataCollectionScore;
    }

    public void setDataCollectionScore(Integer dataCollectionScore) {
        this.dataCollectionScore = dataCollectionScore;
    }

    public Integer getTextSegmentationScore() {
        return textSegmentationScore;
    }

    public void setTextSegmentationScore(Integer textSegmentationScore) {
        this.textSegmentationScore = textSegmentationScore;
    }

    public Integer getPartofspeechTaggingScore() {
        return partofspeechTaggingScore;
    }

    public void setPartofspeechTaggingScore(Integer partofspeechTaggingScore) {
        this.partofspeechTaggingScore = partofspeechTaggingScore;
    }

    public Integer getCategoryManagementScore() {
        return categoryManagementScore;
    }

    public void setCategoryManagementScore(Integer categoryManagementScore) {
        this.categoryManagementScore = categoryManagementScore;
    }

    public Integer getTextClassificationScore() {
        return textClassificationScore;
    }

    public void setTextClassificationScore(Integer textClassificationScore) {
        this.textClassificationScore = textClassificationScore;
    }

    public Integer getTextSummarizationScore() {
        return textSummarizationScore;
    }

    public void setTextSummarizationScore(Integer textSummarizationScore) {
        this.textSummarizationScore = textSummarizationScore;
    }

    public Integer getSimilarityCalculationScore() {
        return similarityCalculationScore;
    }

    public void setSimilarityCalculationScore(Integer similarityCalculationScore) {
        this.similarityCalculationScore = similarityCalculationScore;
    }

    public Integer getSentimentAnalysisScore() {
        return sentimentAnalysisScore;
    }

    public void setSentimentAnalysisScore(Integer sentimentAnalysisScore) {
        this.sentimentAnalysisScore = sentimentAnalysisScore;
    }

    public Integer getDataVisualizationScore() {
        return dataVisualizationScore;
    }

    public void setDataVisualizationScore(Integer dataVisualizationScore) {
        this.dataVisualizationScore = dataVisualizationScore;
    }

    public Integer getReportSubmissionScore() {
        return reportSubmissionScore;
    }

    public void setReportSubmissionScore(Integer reportSubmissionScore) {
        this.reportSubmissionScore = reportSubmissionScore;
    }

    public Integer getTrainingOperationScore() {
        return trainingOperationScore;
    }

    public void setTrainingOperationScore(Integer trainingOperationScore) {
        this.trainingOperationScore = trainingOperationScore;
    }

    public Integer getTrainingReportScore() {
        return trainingReportScore;
    }

    public void setTrainingReportScore(Integer trainingReportScore) {
        this.trainingReportScore = trainingReportScore;
    }

    public Double getTotalscore() {
        return totalscore;
    }

    public void setTotalscore(Double totalscore) {
        this.totalscore = totalscore;
    }

    public TrainingTotalScoreVo(SysTrainingScore sysTrainingScore){
        dataCollectionScore=sysTrainingScore.getDataCollectionScore();
        textSegmentationScore=sysTrainingScore.getTextSegmentationScore();
        partofspeechTaggingScore=sysTrainingScore.getPartofspeechTaggingScore();
        categoryManagementScore=sysTrainingScore.getCategoryManagementScore();
        textClassificationScore=sysTrainingScore.getTextClassificationScore();
        textSummarizationScore=sysTrainingScore.getTextSummarizationScore();
        similarityCalculationScore=sysTrainingScore.getSimilarityCalculationScore();
        sentimentAnalysisScore=sysTrainingScore.getSentimentAnalysisScore();
        dataVisualizationScore=sysTrainingScore.getDataVisualizationScore();
        reportSubmissionScore=sysTrainingScore.getReportSubmissionScore();
        trainingOperationScore=sysTrainingScore.getTrainingOperationScore();
    }

    public List<Map> ReturnTrainingTotalScore(TrainingTotalScoreVo trainingTotalScoreVo){
        List<Map> list=new ArrayList<>();
        Map dataCollectionMap=new HashMap();
        dataCollectionMap.put("project","数据采集");
        dataCollectionMap.put("score",trainingTotalScoreVo.getDataCollectionScore());
        list.add(dataCollectionMap);

        Map textSegmentationMap=new HashMap();
        textSegmentationMap.put("project","文本分词");
        textSegmentationMap.put("score",trainingTotalScoreVo.getTextSegmentationScore());
        list.add(textSegmentationMap);

        Map partofspeechTaggingMap=new HashMap();
        partofspeechTaggingMap.put("project","词性标注");
        partofspeechTaggingMap.put("score",trainingTotalScoreVo.getPartofspeechTaggingScore());
        list.add(partofspeechTaggingMap);

        Map categoryManagementMap=new HashMap();
        categoryManagementMap.put("project","分类管理");
        categoryManagementMap.put("score",trainingTotalScoreVo.getCategoryManagementScore());
        list.add(categoryManagementMap);

        Map textClassificationMap=new HashMap();
        textClassificationMap.put("project","文本分类");
        textClassificationMap.put("score",trainingTotalScoreVo.getTextClassificationScore());
        list.add(textClassificationMap);

        Map textSummarizationMap=new HashMap();
        textSummarizationMap.put("project","文本摘要");
        textSummarizationMap.put("score",trainingTotalScoreVo.getTextSummarizationScore());
        list.add(textSummarizationMap);

        Map similarityCalculationMap=new HashMap();
        similarityCalculationMap.put("project","相似度计算");
        similarityCalculationMap.put("score",trainingTotalScoreVo.getSimilarityCalculationScore());
        list.add(similarityCalculationMap);

        Map sentimentAnalysisMap=new HashMap();
        sentimentAnalysisMap.put("project","情感分析");
        sentimentAnalysisMap.put("score",trainingTotalScoreVo.getSentimentAnalysisScore());
        list.add(sentimentAnalysisMap);

        Map dataVisualizationMap=new HashMap();
        dataVisualizationMap.put("project","数据可视化");
        dataVisualizationMap.put("score",trainingTotalScoreVo.getDataVisualizationScore());
        list.add(dataVisualizationMap);


        Map reportSubmissionMap=new HashMap();
        reportSubmissionMap.put("project","报告提交");
        reportSubmissionMap.put("score",trainingTotalScoreVo.getReportSubmissionScore());
        list.add(reportSubmissionMap);

        Map trainingOperationMap=new HashMap();
        trainingOperationMap.put("project","实操成绩合计");
        trainingOperationMap.put("score",trainingTotalScoreVo.getTrainingOperationScore());
        list.add(trainingOperationMap);

        Map trainingReportMap=new HashMap();
        trainingReportMap.put("project","实训报告得分");
        trainingReportMap.put("score",trainingTotalScoreVo.getTrainingReportScore());
        list.add(trainingReportMap);

        Map totalscoreMap=new HashMap();
        totalscoreMap.put("project","总成绩");
        totalscoreMap.put("score",trainingTotalScoreVo.getTotalscore());
        list.add(totalscoreMap);

        return list;
    }
}
